Name: 		hpt
Summary: 	Husky project tosser and areafix
Version: 	1.3.0
Release: 	alt0.10
License: 	GPL
Group: 		Communications
Requires: 	ftn
Packager:	FTN Development Team <ftn@packages.altlinux.org>

Source0:	%name.tar.bz2
Source1:	%name-logrotate
Source2:	huskymak.cfg

# Automatically added by buildreq on Sat Jul 20 2002
BuildRequires: libfidoconf-devel libsmapi-devel

BuildPreReq: libsmapi-devel >= 2.3-alt0.10, libfidoconf-devel >= 0.15-alt0.10

%description
Husky project tosser and areafix

%description -l ru_RU.KOI8-R
  Husky fidoconfig

%prep

%setup -n hpt
cp %SOURCE2 $RPM_BUILD_DIR/huskymak.cfg

%build
%make

%install
%__mkdir_p %buildroot/%prefix
%__mkdir_p %buildroot/%_bindir
%__mkdir_p %buildroot/%_datadir
%__mkdir_p %buildroot/%_mandir
%__mkdir_p %buildroot/%_sysconfdir/logrotate.d

%make PREFIX=%buildroot/%prefix install

%__install %SOURCE1 %buildroot/%_sysconfdir/logrotate.d/%name

%post 

for i in hpt.log import.log echotoss.log; do
  if [ ! -f "%_logdir/ftn/$i" ]; then
    :>> "%_logdir/ftn/$i"
    %__chown ftn:ftn "%_logdir/ftn/$i"
    %__chmod 640 "%_logdir/ftn/$i"
  fi
done ||:
		

%files
%defattr(644,root,root,755)

%config(noreplace) %attr(644,root,root) %_sysconfdir/logrotate.d/%name

%attr(750,ftn,ftn) %_bindir/*

%_man1dir/*

%changelog
* Sun Feb 02 2003 Albert R. Valiev <darkstar@altlinux.ru> 1.3.0-alt0.10
- Added Packager Tag

* Sun Feb 02 2003 Albert R. Valiev <darkstar@altlinux.ru> 1.3.0-alt0.9
- Build for ALTLinux Master 2.2 distribution
- added logrotate configuration file for hpt

* Thu Nov 13 2002 Albert R. Valiev <darkstar@altlinux.ru> 1.3.0-alt0.8
- spec corrections

* Wed Nov 13 2002 Albert R. Valiev <darkstar@altlinux.ru> 1.3.0-alt0.7
- New cvs snapshot build

* Tue Oct 22 2002 Albert R. Valiev <darkstar@altlinux.ru> 1.3.0-alt0.6
- Some spec file bugs corrections

* Mon Oct 21 2002 Albert R. Valiev <darkstar@altlinux.ru> 1.3.0-alt0.5
- Spec file bugs corrections

* Sat Oct 19 2002 Albert R. Valiev <darkstar@altlinux.ru> 1.3.0-alt0.4
- Build new CVS snapshot with gcc-3.2

* Fri Oct 18 2002 Albert R. Valiev <darkstar@altlinux.ru> 1.3.0-alt0.3
- Some spec corrections

* Fri Aug 16 2002 Albert R. Valiev <darkstar@altlinux.ru> 1.3.0-alt0.2
- Some spec corrections

* Sat Jul 20 2002 Albert R. Valiev <darkstar@altlinux.ru> 1.3.0-alt0.1
- First build for sisyphus
